
From: Pavel Machek <pavel@ucw.cz>

This fixes u32 vs.  pm_message_t in OSS.  [I tried to go through alsa
developers, but Takashi told me they do not have control over sound/oss.]
No real code changes.

From: Bernard Blackham <bernard@blackham.com.au>
Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/oss/ali5455.c                  |    2 +-
 25-akpm/sound/oss/cs4281/cs4281_wrapper-24.c |    2 +-
 25-akpm/sound/oss/cs46xx.c                   |    4 ++--
 25-akpm/sound/oss/cs46xxpm-24.h              |    2 +-
 25-akpm/sound/oss/esssolo1.c                 |    2 +-
 25-akpm/sound/oss/i810_audio.c               |    2 +-
 25-akpm/sound/oss/maestro3.c                 |    6 +++---
 25-akpm/sound/oss/trident.c                  |    4 ++--
 25-akpm/sound/oss/ymfpci.c                   |    2 +-
 9 files changed, 13 insertions(+), 13 deletions(-)

diff -puN sound/oss/ali5455.c~driver-model-fix-u32-vs-pm_message_t-in-oss sound/oss/ali5455.c
--- 25/sound/oss/ali5455.c~driver-model-fix-u32-vs-pm_message_t-in-oss	2005-01-28 20:50:28.297780536 -0800
+++ 25-akpm/sound/oss/ali5455.c	2005-01-28 20:50:28.317777496 -0800
@@ -3528,7 +3528,7 @@ static void __devexit ali_remove(struct 
 }
 
 #ifdef CONFIG_PM
-static int ali_pm_suspend(struct pci_dev *dev, u32 pm_state)
+static int ali_pm_suspend(struct pci_dev *dev, pm_message_t pm_state)
 {
 	struct ali_card *card = pci_get_drvdata(dev);
 	struct ali_state *state;
diff -puN sound/oss/cs4281/cs4281_wrapper-24.c~driver-model-fix-u32-vs-pm_message_t-in-oss sound/oss/cs4281/cs4281_wrapper-24.c
--- 25/sound/oss/cs4281/cs4281_wrapper-24.c~driver-model-fix-u32-vs-pm_message_t-in-oss	2005-01-28 20:50:28.298780384 -0800
+++ 25-akpm/sound/oss/cs4281/cs4281_wrapper-24.c	2005-01-28 20:50:28.325776280 -0800
@@ -27,7 +27,7 @@
 #include <linux/spinlock.h>
 
 static int cs4281_resume_null(struct pci_dev *pcidev) { return 0; }
-static int cs4281_suspend_null(struct pci_dev *pcidev, u32 state) { return 0; }
+static int cs4281_suspend_null(struct pci_dev *pcidev, pm_message_t state) { return 0; }
 
 #define free_dmabuf(state, dmabuf) \
 	pci_free_consistent(state->pcidev, \
diff -puN sound/oss/cs46xx.c~driver-model-fix-u32-vs-pm_message_t-in-oss sound/oss/cs46xx.c
--- 25/sound/oss/cs46xx.c~driver-model-fix-u32-vs-pm_message_t-in-oss	2005-01-28 20:50:28.301779928 -0800
+++ 25-akpm/sound/oss/cs46xx.c	2005-01-28 20:50:28.335774760 -0800
@@ -388,7 +388,7 @@ static int cs_hardware_init(struct cs_ca
 static int cs46xx_powerup(struct cs_card *card, unsigned int type);
 static int cs461x_powerdown(struct cs_card *card, unsigned int type, int suspendflag);
 static void cs461x_clear_serial_FIFOs(struct cs_card *card, int type);
-static int cs46xx_suspend_tbl(struct pci_dev *pcidev, u32 state);
+static int cs46xx_suspend_tbl(struct pci_dev *pcidev, pm_message_t state);
 static int cs46xx_resume_tbl(struct pci_dev *pcidev);
 
 #ifndef CS46XX_ACPI_SUPPORT
@@ -5774,7 +5774,7 @@ static int cs46xx_pm_callback(struct pm_
 #endif
 
 #if CS46XX_ACPI_SUPPORT
-static int cs46xx_suspend_tbl(struct pci_dev *pcidev, u32 state)
+static int cs46xx_suspend_tbl(struct pci_dev *pcidev, pm_message_t state)
 {
 	struct cs_card *s = PCI_GET_DRIVER_DATA(pcidev);
 	CS_DBGOUT(CS_PM | CS_FUNCTION, 2, 
diff -puN sound/oss/cs46xxpm-24.h~driver-model-fix-u32-vs-pm_message_t-in-oss sound/oss/cs46xxpm-24.h
--- 25/sound/oss/cs46xxpm-24.h~driver-model-fix-u32-vs-pm_message_t-in-oss	2005-01-28 20:50:28.302779776 -0800
+++ 25-akpm/sound/oss/cs46xxpm-24.h	2005-01-28 20:50:28.335774760 -0800
@@ -36,7 +36,7 @@
 * for now (12/22/00) only enable the pm_register PM support.
 * allow these table entries to be null.
 */
-static int cs46xx_suspend_tbl(struct pci_dev *pcidev, u32 state);
+static int cs46xx_suspend_tbl(struct pci_dev *pcidev, pm_message_t state);
 static int cs46xx_resume_tbl(struct pci_dev *pcidev);
 #define cs_pm_register(a, b, c)  NULL
 #define cs_pm_unregister_all(a) 
diff -puN sound/oss/esssolo1.c~driver-model-fix-u32-vs-pm_message_t-in-oss sound/oss/esssolo1.c
--- 25/sound/oss/esssolo1.c~driver-model-fix-u32-vs-pm_message_t-in-oss	2005-01-28 20:50:28.304779472 -0800
+++ 25-akpm/sound/oss/esssolo1.c	2005-01-28 20:50:28.337774456 -0800
@@ -2257,7 +2257,7 @@ static int setup_solo1(struct solo1_stat
 }
 
 static int
-solo1_suspend(struct pci_dev *pci_dev, u32 state) {
+solo1_suspend(struct pci_dev *pci_dev, pm_message_t state) {
 	struct solo1_state *s = (struct solo1_state*)pci_get_drvdata(pci_dev);
 	if (!s)
 		return 1;
diff -puN sound/oss/i810_audio.c~driver-model-fix-u32-vs-pm_message_t-in-oss sound/oss/i810_audio.c
--- 25/sound/oss/i810_audio.c~driver-model-fix-u32-vs-pm_message_t-in-oss	2005-01-28 20:50:28.306779168 -0800
+++ 25-akpm/sound/oss/i810_audio.c	2005-01-28 20:50:28.346773088 -0800
@@ -3470,7 +3470,7 @@ static void __devexit i810_remove(struct
 }
 
 #ifdef CONFIG_PM
-static int i810_pm_suspend(struct pci_dev *dev, u32 pm_state)
+static int i810_pm_suspend(struct pci_dev *dev, pm_message_t pm_state)
 {
         struct i810_card *card = pci_get_drvdata(dev);
         struct i810_state *state;
diff -puN sound/oss/maestro3.c~driver-model-fix-u32-vs-pm_message_t-in-oss sound/oss/maestro3.c
--- 25/sound/oss/maestro3.c~driver-model-fix-u32-vs-pm_message_t-in-oss	2005-01-28 20:50:28.307779016 -0800
+++ 25-akpm/sound/oss/maestro3.c	2005-01-28 20:50:28.348772784 -0800
@@ -375,7 +375,7 @@ static struct m3_card *devs;
  * I'm not very good at laying out functions in a file :)
  */
 static int m3_notifier(struct notifier_block *nb, unsigned long event, void *buf);
-static int m3_suspend(struct pci_dev *pci_dev, u32 state);
+static int m3_suspend(struct pci_dev *pci_dev, pm_message_t state);
 static void check_suspend(struct m3_card *card);
 
 static struct notifier_block m3_reboot_nb = {
@@ -2777,12 +2777,12 @@ static int m3_notifier(struct notifier_b
 
     for(card = devs; card != NULL; card = card->next) {
         if(!card->in_suspend)
-            m3_suspend(card->pcidev, 3); /* XXX legal? */
+            m3_suspend(card->pcidev, PMSG_SUSPEND); /* XXX legal? */
     }
     return 0;
 }
 
-static int m3_suspend(struct pci_dev *pci_dev, u32 state)
+static int m3_suspend(struct pci_dev *pci_dev, pm_message_t state)
 {
     unsigned long flags;
     int i;
diff -puN sound/oss/trident.c~driver-model-fix-u32-vs-pm_message_t-in-oss sound/oss/trident.c
--- 25/sound/oss/trident.c~driver-model-fix-u32-vs-pm_message_t-in-oss	2005-01-28 20:50:28.310778560 -0800
+++ 25-akpm/sound/oss/trident.c	2005-01-28 20:50:28.352772176 -0800
@@ -487,7 +487,7 @@ static struct trident_channel *ali_alloc
 static struct trident_channel *ali_alloc_pcm_channel(struct trident_card *card);
 static void ali_restore_regs(struct trident_card *card);
 static void ali_save_regs(struct trident_card *card);
-static int trident_suspend(struct pci_dev *dev, u32 unused);
+static int trident_suspend(struct pci_dev *dev, pm_message_t unused);
 static int trident_resume(struct pci_dev *dev);
 static void ali_free_pcm_channel(struct trident_card *card, unsigned int channel);
 static int ali_setup_multi_channels(struct trident_card *card, int chan_nums);
@@ -3723,7 +3723,7 @@ ali_restore_regs(struct trident_card *ca
 }
 
 static int
-trident_suspend(struct pci_dev *dev, u32 unused)
+trident_suspend(struct pci_dev *dev, pm_message_t unused)
 {
 	struct trident_card *card = pci_get_drvdata(dev);
 
diff -puN sound/oss/ymfpci.c~driver-model-fix-u32-vs-pm_message_t-in-oss sound/oss/ymfpci.c
--- 25/sound/oss/ymfpci.c~driver-model-fix-u32-vs-pm_message_t-in-oss	2005-01-28 20:50:28.311778408 -0800
+++ 25-akpm/sound/oss/ymfpci.c	2005-01-28 20:50:28.354771872 -0800
@@ -2074,7 +2074,7 @@ static /*const*/ struct file_operations 
 /*
  */
 
-static int ymf_suspend(struct pci_dev *pcidev, u32 unused)
+static int ymf_suspend(struct pci_dev *pcidev, pm_message_t unused)
 {
 	struct ymf_unit *unit = pci_get_drvdata(pcidev);
 	unsigned long flags;
_
